/calendars/{calendarId}/events/{eventId}

Replaces the event. All fields are required.

put
https://api.rest.rodeo/calendar/api/v1/calendars/{calendarId}/events/{eventId}

Path Parameters

calendarIdstring(uuid)required

The calendar id.

eventIdstring(uuid)required

The event id.

Body

application/json

EventRequest

* Additional properties are NOT allowed.
titlestringrequired

The event title.

>= 1 characters<= 256 characters

descriptionstringrequired

The event description.

<= 2000 characters

startDatestringrequired

The date the event starts.

Match pattern:^\d{4}-\d{2}-\d{2}$

Example:2026-10-01

endDatestringrequired

The date the event ends. Must not be before startDate.

Match pattern:^\d{4}-\d{2}-\d{2}$

Example:2026-10-01

startTimestring | nullrequired

The time the event starts. Required null when allDay is true, required non-null otherwise.

Match pattern:^([01]\d|2[0-3]):[0-5]\d$

Example:18:00

endTimestring | nullrequired

The time the event ends. Required null when allDay is true, required non-null otherwise.

Match pattern:^([01]\d|2[0-3]):[0-5]\d$

Example:21:00

allDaybooleanrequired

Whether the event lasts all day.

Response

application/json

The updated event

Event

* Additional properties are NOT allowed.
idstring(uuid)required

The event id.

calendarIdstring(uuid)required

The id of the calendar this event belongs to.

titlestringrequired

The event title.

<= 256 characters

descriptionstringrequired

The event description.

<= 2000 characters

startDatestringrequired

The date the event starts.

Match pattern:^\d{4}-\d{2}-\d{2}$

Example:2026-10-01

endDatestringrequired

The date the event ends. Must not be before startDate.

Match pattern:^\d{4}-\d{2}-\d{2}$

Example:2026-10-01

startTimestring | nullrequired

The time the event starts. Null when allDay is true.

Match pattern:^([01]\d|2[0-3]):[0-5]\d$

Example:18:00

endTimestring | nullrequired

The time the event ends. Null when allDay is true.

Match pattern:^([01]\d|2[0-3]):[0-5]\d$

Example:21:00

allDaybooleanrequired

Whether the event lasts all day. When true, startTime and endTime must be null; otherwise both are required.

put/calendars/{calendarId}/events/{eventId}

Body

{ "title": "Rodeo kickoff", "description": "Season opener, moved", "startDate": "2026-10-01", "endDate": "2026-10-02", "startTime": "19:00", "endTime": "22:00", "allDay": false }
 
application/json

/calendars/{calendarId}/events/{eventId}

Deletes the event.

delete
https://api.rest.rodeo/calendar/api/v1/calendars/{calendarId}/events/{eventId}

Path Parameters

calendarIdstring(uuid)required

The calendar id.

eventIdstring(uuid)required

The event id.

Response

The event was deleted

delete/calendars/{calendarId}/events/{eventId}
 

Calendar

object
* Additional properties are NOT allowed.
idstring(uuid)required

The calendar id.

namestringrequired

The calendar name.

<= 256 characters

Example

CalendarRequest

object
* Additional properties are NOT allowed.
namestringrequired

The calendar name.

>= 1 characters<= 256 characters

Example

CalendarsList

object
* Additional properties are NOT allowed.
calendarsarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
Example